# GemiNotes

Simple application made in Python and sqlite for taking notes, creating tasks, saving and accessing them through the [Gemini protocol](https://gemini.circumlunar.space/).

The code is not at all clean, but it's working. Refactor maybe coming some day.

## Features 
* Personal tasks/notes list with your client certificate.
* Mark tasks as completed.
* Delete tasks/notes

## Roadmap
* Link multiple certificates for login (so you can use multiple devices).
* Different task statuses.
* Export options.
* Code refactor.

## Installation
Make sure your server is able to run Python scripts and have sqlite installed.
Please refer to their documentation for instructions on how to install them.
```On APT based distributions (Debian, Ubuntu, MXLinux, etc.) this shoud be simple as
sudo apt install python3 sqlite3
```

And then, configure the database by running:
```
sqlite3 notes.db < schema.sql
```
Grant permissions for write to ```notes.db```.